package ossj.common.cbe;

import javax.xml.bind.annotation.adapters.XmlAdapter;

import javax.oss.cbe.CharacteristicValue;

/**
 *
 * @author pm200800
 */
public class CharacteristicValueAdapter extends XmlAdapter<CharacteristicValueImpl,CharacteristicValue>{
    
    public CharacteristicValue unmarshal(CharacteristicValueImpl p) throws Exception {
        try {
            CharacteristicValue r = p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to unmarshall CharacteristicValue : "+p;
            throw new Exception(msg+" due to "+e);   
        }                
    }

    public CharacteristicValueImpl marshal(CharacteristicValue p) throws Exception {
        try {
            CharacteristicValueImpl r = (CharacteristicValueImpl)p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to marshall CharacteristicValueImpl : "+p;
            throw new Exception(msg+" due to "+e);   
        } 
    }
    
}
